
[ptp]

# Priority1 value
# It can assume values between 0 and 255.
# The lower the number, the higher the priority for the BMCA.
priority1 = 248

# Priority1 value
# It can assume values between 0 and 255.
# The lower the number, the higher the priority for the BMCA.
priority2 = 248

# ClockClass value
# It indicates the clock source(local oscillator or external clock)
clockClass = 248

[port]

# Port role
# Defines the IEEE port role in non automotive profile
# Accepted values Master or Slave
portRole = Slave

# Automotive Profile
# Accepted values 0 or 1
# 0 indicates non automotive profile
# 1 indicates  automotive profile
automotive_profile = 0

# IsGrandMaster in automotive profile
# It defines the port role as grand master in automotive profile
# Accepted values 0 or 1
# 0 indicates slave automotive profile
# 1 indicates GrandMaster automotive profile
isGM = 0

# AsCapable
# Indicates the AsCapable status of the port
asCapable = 0

# Announce receipt multiplier
# This multiplier is used in gptp slave to configure Announce receipt timeout
# event
announceReceiptTimeout = 3

# sync receipt multiplier
# This multiplier is used in gptp slave to configure sync receipt timeout
# event
syncReceiptTimeout = 3

# Neighbor propagation delay threshold in nanoseconds
# The default pdelay threshold for various hardware link types is specified in
# IEEE Std 802.1AS-Cor1-2013 Table 11-0 "Value of neighborPropDelayThresh for
# various links, in clause 11.2.2. It needs to be configurable because a
# user may be using a converter to fibre and the software wont know until the
# administrator changes it.
neighborPropDelayThresh = 800

# Sync Receipt Threshold
# This value defines the number of syncs with wrong seqID that will trigger
# the ptp slave to become master (it will start announcing)
# Normally sync messages are sent every 125ms, so setting it to 8 will allow
# up to 1 second of wrong messages before switching
syncReceiptThresh = 8

# Initial log sync interval
# configures Port initial sync interval (Log base 2. 0 = 1 second)
initialLogSyncInterval = -5

# Initial log Pdelay interval
# configures port initial Pdelay interval (Log base 2. 0 = 1 second)
initialLogPdelayReqInterval = 0

# Operational log sync interval
# configures port operational sync interval (Log base 2. 0 = 1 second)
operLogSyncInterval = -5

# Operational log Pdelay interval
# configures port operational pdelay interval (Log base 2. 0 = 1 second)
operLogPdelayReqInterval = 0

[eth]

# Older deprecated format
# PHY delay GB TX in nanoseconds
# The default for I210 is 184
#phy_delay_gb_tx = 184

# Older deprecated format
# PHY delay GB RX in nanoseconds
# The default for I210 is 184
#phy_delay_gb_rx = 382

# Older deprecated format
# PHY delay 100 MB TX in nanoseconds
# The default for I210 is 1044
#phy_delay_mb_tx = 1044

# Older deprecated format
# PHY delay 100 MB RX in nanoseconds
# The default for I210 is 2133
#phy_delay_mb_rx = 2133

# Newer flexible format
# PHY delay GB RX/TX in nanoseconds
# Link speed may be specified numerically or by name
#phy_delay = 1000000 184 382
phy_delay = LINKSPEED_1G 184 382

# PHY delay 100 MB RX/TX in nanoseconds
phy_delay = LINKSPEED_100MB 1044 2133

